> ## Documentation Index
> Fetch the complete documentation index at: https://microstrate-1133-notifications-prefs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List secrets

> Retrieves a list of secrets from the secrets bucket. By default, only key names are returned unless reveal=true is specified.



## OpenAPI

````yaml /api-reference/endpoint/secrets-manager/openapi.json get /secrets
openapi: 3.0.0
info:
  title: quiva.ai Gateway
  description: API for managing secrets in the quiva.ai platform
  version: 0.1.0
  contact:
    name: quiva.ai Support
servers:
  - url: https://api.quiva.ai
    description: Production API server
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: Secrets
    description: Operations for managing secrets
paths:
  /secrets:
    get:
      tags:
        - Secrets
      summary: List secrets
      description: >-
        Retrieves a list of secrets from the secrets bucket. By default, only
        key names are returned unless reveal=true is specified.
      operationId: listSecrets
      parameters:
        - name: limit
          in: query
          description: 'Maximum number of secrets to return (default: 100)'
          required: false
          schema:
            type: integer
            default: 100
            minimum: 1
        - name: reveal
          in: query
          description: Whether to include secret values in the response
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: List of secrets retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SecretListItem'
              example:
                - key: api-key
                - key: database-password
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error: the list errored
components:
  schemas:
    SecretListItem:
      type: object
      properties:
        key:
          type: string
          description: The unique identifier for the secret
        value:
          type: string
          description: The secret value (only included when reveal=true)
      required:
        - key
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message describing what went wrong
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````